RDKit: RDKit::RascalMCES::RascalResult Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::RascalMCES::RascalResult Class Reference

`#include <RascalResult.h>`

## Public Member Functions
| RascalResult (const RDKit::ROMol &mol1, const RDKit::ROMol &mol2, const std::vector< std::vector< int > > &adjMatrix1, const std::vector< std::vector< int > > &adjMatrix2, const std::vector< unsigned int > &clique, const std::vector< std::pair< int, int > > &vtx_pairs, bool timedOut, bool swapped, double tier1Sim, double tier2Sim, bool ringMatchesRingOnly, bool singleLargestFrag, int minFragSep, bool exactConnectionsMatch=false, const std::string &equivalentAtoms="", bool ignoreBondOrders=false)
| RascalResult (double tier1Sim, double tier2Sim)
| RascalResult (const RascalResult &other)
| RascalResult (RascalResult &&other)=default
| ~RascalResult ()=default
RascalResult & | operator= (const RascalResult &other)
RascalResult & | operator= (RascalResult &&other)=default
void | largestFragOnly ()
void | largestFragsOnly (unsigned int numFrags=2)
void | trimSmallFrags (unsigned int minFragSize=3)
std::vector< std::pair< int, int > > | getBondMatches () const
std::vector< std::pair< int, int > > | getAtomMatches () const
int | getNumFrags () const
int | getRingNonRingBondScore () const
int | getAtomMatchScore () const
int | getMaxDeltaAtomAtomDist () const
unsigned int | getLargestFragSize () const
std::string | getSmarts () const
const std::shared_ptr< ROMol > | getMcesMol () const
bool | getTimedOut () const
double | getTier1Sim () const
double | getTier2Sim () const
double | getSimilarity () const

## Detailed Description

Definition at line 28 of file RascalResult.h.

## Constructor & Destructor Documentation

## ◆ RascalResult() [1/4]

RDKit::RascalMCES::RascalResult::RascalResult | ( | const RDKit::ROMol & | mol1,
|  | const RDKit::ROMol & | mol2,
|  | const std::vector< std::vector< int > > & | adjMatrix1,
|  | const std::vector< std::vector< int > > & | adjMatrix2,
|  | const std::vector< unsigned int > & | clique,
|  | const std::vector< std::pair< int, int > > & | vtx_pairs,
|  | bool | timedOut,
|  | bool | swapped,
|  | double | tier1Sim,
|  | double | tier2Sim,
|  | bool | ringMatchesRingOnly,
|  | bool | singleLargestFrag,
|  | int | minFragSep,
|  | bool | exactConnectionsMatch = false,
|  | const std::string & | equivalentAtoms = "",
|  | bool | ignoreBondOrders = false )

Referenced by operator=(), operator=(), RascalResult(), and RascalResult().

## ◆ RascalResult() [2/4]

RDKit::RascalMCES::RascalResult::RascalResult | ( | double | tier1Sim,
|  | double | tier2Sim )

## ◆ RascalResult() [3/4]

RDKit::RascalMCES::RascalResult::RascalResult | ( | const RascalResult & | other | ) |

References RascalResult().

## ◆ RascalResult() [4/4]

RDKit::RascalMCES::RascalResult::RascalResult | ( | RascalResult && | other | ) |
| default

References RascalResult().

## ◆ ~RascalResult()

RDKit::RascalMCES::RascalResult::~RascalResult | ( |  | ) |
| default

## Member Function Documentation

## ◆ getAtomMatches()

std::vector< std::pair< int, int > > RDKit::RascalMCES::RascalResult::getAtomMatches | ( |  | ) | const
| inline

Definition at line 64 of file RascalResult.h.

## ◆ getAtomMatchScore()

int RDKit::RascalMCES::RascalResult::getAtomMatchScore | ( |  | ) | const

## ◆ getBondMatches()

std::vector< std::pair< int, int > > RDKit::RascalMCES::RascalResult::getBondMatches | ( |  | ) | const
| inline

Definition at line 60 of file RascalResult.h.

## ◆ getLargestFragSize()

unsigned int RDKit::RascalMCES::RascalResult::getLargestFragSize | ( |  | ) | const

## ◆ getMaxDeltaAtomAtomDist()

int RDKit::RascalMCES::RascalResult::getMaxDeltaAtomAtomDist | ( |  | ) | const

## ◆ getMcesMol()

const std::shared_ptr< ROMol > RDKit::RascalMCES::RascalResult::getMcesMol | ( |  | ) | const

## ◆ getNumFrags()

int RDKit::RascalMCES::RascalResult::getNumFrags | ( |  | ) | const

## ◆ getRingNonRingBondScore()

int RDKit::RascalMCES::RascalResult::getRingNonRingBondScore | ( |  | ) | const

## ◆ getSimilarity()

double RDKit::RascalMCES::RascalResult::getSimilarity | ( |  | ) | const

## ◆ getSmarts()

std::string RDKit::RascalMCES::RascalResult::getSmarts | ( |  | ) | const

## ◆ getTier1Sim()

double RDKit::RascalMCES::RascalResult::getTier1Sim | ( |  | ) | const
| inline

Definition at line 99 of file RascalResult.h.

## ◆ getTier2Sim()

double RDKit::RascalMCES::RascalResult::getTier2Sim | ( |  | ) | const
| inline

Definition at line 100 of file RascalResult.h.

## ◆ getTimedOut()

bool RDKit::RascalMCES::RascalResult::getTimedOut | ( |  | ) | const
| inline

Definition at line 97 of file RascalResult.h.

## ◆ largestFragOnly()

void RDKit::RascalMCES::RascalResult::largestFragOnly | ( |  | ) |

## ◆ largestFragsOnly()

void RDKit::RascalMCES::RascalResult::largestFragsOnly | ( | unsigned int | numFrags = 2 | ) |

## ◆ operator=() [1/2]

RascalResult & RDKit::RascalMCES::RascalResult::operator= | ( | const RascalResult & | other | ) |

References RascalResult().

## ◆ operator=() [2/2]

RascalResult & RDKit::RascalMCES::RascalResult::operator= | ( | RascalResult && | other | ) |
| default

References RascalResult().

## ◆ trimSmallFrags()

void RDKit::RascalMCES::RascalResult::trimSmallFrags | ( | unsigned int | minFragSize = 3 | ) |

The documentation for this class was generated from the following file:

- RascalResult.h